lib

# Class: cache

Source Location: /lib/cache.inc

### Class Overview

This class contains all functions which are needed to manage the LDAP cache.

### Methods

- __construct
- get_cache
- refresh_cache
- __sleep
- __wakeup

### Class Details

[line 42]
This class contains all functions which are needed to manage the LDAP cache.
[ Top ]

### Class Methods

### constructor __construct [line 56]

`cache __construct( )`

Constructor.

#### Tags:

return: | cache object

[ Top ]

### method get_cache [line 95]

`array get_cache( mixed $attributes, string $objectClass, mixed $scopelist)`

Queries the cache for a list of LDAP entries and their attributes.

#### Tags:

return: | The found LDAP entries. Format: array(dn1 => array(uidnumber1), dn2 => array(uidnumber2), ... ) if $attributes is of type string or array(dn1 => array(uid => array(myuid), uidNumber => array(1234)), ... ) if $attributes is an array
access: | public

#### Parameters:

mixed | $attributes | One (string) or many (array) attribute names.
string | $objectClass | The resulting entries need to contain this object class.
mixed | $scopelist | the account type(s) as string or array, all scopes if NULL given

[ Top ]

### method refresh_cache [line 138]

`void refresh_cache( [boolean $rebuild = false])`

This function refreshes the cache.

#### Tags:

access: | public

#### Parameters:

boolean | $rebuild | forces a refresh if set to true

[ Top ]

### method __sleep [line 185]

`array __sleep( )`

Encrypts LDAP cache before saving to session file.

#### Tags:

return: | list of variables to save

[ Top ]

### method __wakeup [line 198]

`void __wakeup( )`

Decrypts LDAP cache after loading from session file.
[ Top ]

Documentation generated on Thu, 28 Oct 2010 21:00:08 +0200 by phpDocumentor 1.4.1